#!/bin/sh

menu() { echo "<li> $@"; echo "<ul>"; }
endmenu() { echo "</ul>"; }

item() { echo "  <li><a href='${SCRIPT_NAME}?page=$page&cmd=$2&params=$3'>$1</a>"; };

echo '<ul id="treemenu1" class="treeview">'
menu "network"

item "switch" "switch" ""
item "active interfaces" "ifconfig" ""
item "all interfaces" "ifconfig" "all"

menu "fw"

menu "filter"
item "all" "fw" "filter"
item "input" "fw" "filter/INPUT"
item "output" "fw" "filter/OUTPUT"
item "forward" "fw" "filter/FORWARD"
item "account-src" "fw" "filter/ACCOUNT-SRC"
item "account-dst" "fw" "filter/ACCOUNT-DST"
endmenu

menu "nat"
item "all" "fw" "nat"
item "prerouting" "fw" "nat/PREROUTING"
item "postrouting" "fw" "nat/POSTROUTING"
item "output" "fw" "nat/OUTPUT"
endmenu

menu "mangle"
item "all" "fw" "mangle"
item "input" "fw" "mangle/INPUT"
item "forward" "fw" "mangle/FORWARD"
item "output" "fw" "mangle/OUTPUT"
item "prerouting" "fw" "mangle/PREROUTING"
item "postrouting" "fw" "mangle/POSTROUTING"
endmenu

endmenu

menu "bridge"
item "show" "brctl_show"
endmenu

endmenu

menu "software"

menu "bluepoint"
item "devices" "bluepoint_devices"
item "log" "bluepoint_log"
endmenu

menu "mpcs"
item "status" "mpcs_status"
item "log" "mpcs_log"
endmenu


endmenu

echo "</ul>"

