#!/usr/bin/haserl
<?
	echo -e "Content-type: text/html\r\n\r\n"
		basedir=/www
	page=${FORM_page:-info}
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
<title>FlyRouter</title>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<link rel="shortcut icon" href="favicon.ico" />
<link type="text/css" rel="stylesheet" href="/css/simpletree.css" />
<link type="text/css" rel="stylesheet" href="/css/SyntaxHighlighter.css"></link>
<link type="text/css" rel="stylesheet" href="/css/style.css" />
<script language="javascript" src="/js/shCore.js"></script>
<script language="javascript" src="/js/shBrushCon.js"></script>
<script language="javascript" src="/js/simpletreemenu.js"></script>
</head>

<body>
<div id="main">
	<div id="logo">
		<h1><a href="http://flyrouter.net">FlyRouter</a></h1>
	</div>
	<div id="menu">
		<ul>
			<li><a href="?page=info" <? [ "$page" = info ] && echo 'class="selected"' ?>>info</a></li>
			<li><a href="?page=show" <? [ "$page" = show ] && echo 'class="selected"' ?>>show</a></li>
			<li><a href="?page=edit" <? [ "$page" = edit ] && echo 'class="selected"' ?>>edit</a></li>
			<li><a href="?page=do" <? [ "$page" = do ] && echo 'class="selected"' ?>>do</a></li>
			<li><a href="?page=save" <? [ "$page" = save ] && echo 'class="selected"' ?>>save</a></li>
		</ul>
	</div>
	<div id="site_content">
		<div id="first_column">
			<div class="disignBoxFirst">
				<div class="boxFirstHeader">	</div>
				<div class="boxContent">
<?
		[ -f "$basedir/menu/${page}.html" ] && cat "$basedir/menu/${page}.html"
		[ -x "$basedir/menu/${page}.sh" ] && . "$basedir/menu/${page}.sh"
?>
				</div>
			</div>
		</div>
		<div id="content">
			<div class="disignBoxSecond">
				<div class="boxContent">
					<h1><? [ -n "$header" ] && echo "$header" ?></h1>
<?	
		[ -x "${basedir}/page/$page.sh" ] && . ${basedir}/page/${page}.sh 
?>
				</div>
			</div>
		</div>
	</div>
	<div id="footer">
		<div id="copy_r">flyrouter.net</div>
		ver 0.0.1	2007 <a rel="nofollow" target="_blank" href="http://flyrouter.net/">flyrouter.net</a> </div>
</div>
</body>
<script language="javascript">
//dp.SyntaxHighlighter.ClipboardSwf = '/flash/clipboard.swf';
dp.SyntaxHighlighter.HighlightAll('code');
ddtreemenu.createTree("treemenu1", true)
<? [ -n "$FORM_refresh" ] && echo "setTimeout('window.location = window.location', $FORM_refresh);" ?>
</script>
</html>
